package com.huimv.cattle.service.impl;

import cn.hutool.core.util.ObjectUtil;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.huimv.cattle.mapper.StockMapper;
import com.huimv.cattle.pojo.StockStatus;
import com.huimv.cattle.mapper.StockStatusMapper;
import com.huimv.cattle.service.StockStatusService;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.huimv.common.utils.Result;
import com.huimv.common.utils.ResultCode;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Map;

/**
 * <p>
 *  服务实现类
 * </p>
 *
 * @author zn
 * @since 2022-12-14
 */
@Service
public class StockStatusServiceImpl extends ServiceImpl<StockStatusMapper, StockStatus> implements StockStatusService {

    @Autowired
    private StockStatusMapper stockStatusMapper;

    @Override
    public Result getStockStatus() {
        StockStatus stockStatus = stockStatusMapper.getStockStatus();
        if (ObjectUtil.isEmpty(stockStatus)){
            stockStatus = new StockStatus();
            stockStatus.setBreedStock(0);
            stockStatus.setCalfStock(0);
            stockStatus.setRaiseStock(0);
            stockStatusMapper.insert(stockStatus);
        }
        return new Result(ResultCode.SUCCESS,stockStatus);
    }

    @Override
    public Result saveStockStatus(StockStatus stockStatus) {
        if (ObjectUtil.isEmpty(stockStatusMapper.selectById(stockStatus))){
            StockStatus stockStatus1 = new StockStatus();
            stockStatus1.setBreedStock(stockStatus.getBreedStock());
            stockStatus1.setRaiseStock(stockStatus.getRaiseStock());
            stockStatus1.setCalfStock(stockStatus.getCalfStock());
            stockStatusMapper.insert(stockStatus1);
        }else {
            stockStatusMapper.updateById(stockStatus);
        }
        return new Result(ResultCode.SUCCESS);
    }
}
